:root {
  --Marine-blue: hsl(213, 96%, 18%);
  --Purplish-blue: hsl(243, 100%, 62%);
  --Pastel-blue: hsl(228, 100%, 84%);
  --Light-blue: hsl(206, 94%, 87%);
  --Strawberry-red: hsl(354, 84%, 57%);
  --Cool-gray: hsl(231, 11%, 63%);
  --Light-gray: hsl(229, 24%, 87%);
  --Magnolia: hsl(217, 100%, 97%);
  --Alabaster: hsl(231, 100%, 99%);
  --White: hsl(0, 0%, 100%);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  font-family: "Ubuntu", sans-serif;
  color: #000;
  overflow-x: hidden;
  font-style: normal;
  line-height: normal;
  background-color: var(--Magnolia);
}

body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  font-size: 1.6rem;
  background-color: var(--Magnolia);
  position: relative;
  font-family: "Ubuntu", sans-serif;
}

input,
button {
  font: inherit;
}

// .form {
//   width: 119rem;
//   display: grid;
//   grid-template-columns: 1fr 3fr;
//   gap: 3rem;
//   padding: 0 4rem;
//   margin: 9.4rem auto;
// }

.main {
  max-width: 105rem;
  min-height: 100vh;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;

  .step__container {
    width: 100%;
    display: grid;
    grid-template-columns: 29rem 1fr;
    gap: 2.5rem;
    min-height: 60rem;
    background-color: var(--White);
    padding: 1.5rem;

    .sidebar {
      width: 100%;
      border-radius: 1rem;
      grid-column-start: 1;
      grid-column-end: 2;
      background: url(https://multistep-form-23.netlify.app/assets/images/bg-sidebar-desktop.svg);
      background-repeat: no-repeat;
      background-position: center;
      background-size: cover;
      padding: 3rem 2rem;
      margin-right: auto;

      .step__indecater {
        display: flex;
        align-items: center;
        padding-bottom: 3rem;

        .indecater__num {
          border: 1px solid var(--Light-gray);
          width: 4rem;
          height: 4rem;
          border-radius: 50%;
          color: var(--Light-gray);
          display: flex;
          align-items: center;
          justify-content: center;
          font-weight: 700;
          font-size: 1.4rem;
          margin-right: 1.5rem;
        }

        .active {
          background-color: var(--Light-blue);
          color: var(--Marine-blue);
        }

        .subtitle {
          color: var(--Light-gray);
          font-size: 1.4rem;
          font-weight: 400;
          padding-bottom: 2px;
        }

        .mini__title {
          color: var(--White);
          font-weight: 500;
          text-transform: uppercase;
        }
      }
    }

    @media (max-width: 768px) {
      .sidebar {
        border-radius: 0;
        background-image: url(https://multistep-form-23.netlify.app/assets/images/bg-sidebar-mobile.svg);
        display: flex;
        align-items: flex-start;
        justify-content: center;
        height: 190px;
      }
    }

    .steps__container {
      grid-column-start: 2;
      grid-column-end: 3;
      padding-top: 2.5rem;
      padding-right: 2.5rem;
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      .step {
        display: none;

        .main__title {
          font-size: 3.2rem;
          font-weight: 700;
          color: var(--Marine-blue);
          padding-bottom: 5px;
        }

        .description {
          color: var(--Cool-gray);
          font-size: 1.6rem;
          font-weight: 400;
          padding-bottom: 3rem;
        }

        .list {
          display: flex;
          flex-direction: column;

          .list__item {
            margin-bottom: 2.5rem;
            display: flex;
            flex-direction: column;

            .input__labe {
              display: flex;
              align-items: center;
              justify-content: space-between;
              padding-bottom: 5px;

              .label {
                color: var(--Marine-blue);
                font-weight: 500;
              }

              .warning {
                color: var(--Strawberry-red);
                font-weight: 500;
              }
            }

            .input {
              padding: 1rem;
              border: 2px solid var(--Cool-gray);
              border-radius: 5px;
              width: 100%;
              font-weight: 500;
              color: var(--Marine-blue);
              font-size: 1.7rem;
            }
          }
        }

        .plan__card_container {
          display: flex;
          flex-direction: column;
          padding-bottom: 1rem;
          min-height: 33rem;

          .plan__card {
            display: flex;
            align-items: center;
            cursor: pointer;
            margin-bottom: 2rem;

            .card__img {
              margin-bottom: auto;
              width: 45px;
              height: 45px;
              margin-right: 25px;

              img {
                width: 100%;
              }
            }

            .card__name {
              color: var(--Marine-blue);
              font-weight: 700;
              text-transform: capitalize;
              font-size: 1.8rem;
              margin-bottom: 2px;
            }

            .card__price {
              color: var(--Cool-gray);
              font-weight: 500;
            }

            .yearly__benefit {
              color: var(--Marine-blue);
              font-size: 1.4rem;
              font-weight: 400;
              padding-top: 5px;
              display: none;
            }
          }

          .card {
            border: 2px solid var(--Light-gray);
            border-radius: 10px;
            padding: 15px;
            cursor: pointer;
            transition: 0.3s;
          }

          .selected {
            background-color: var(--Magnolia);
            border-color: var(--Pastel-blue);
          }

          @media (min-width: 850px) {
            .plan__card {
              height: 190px;
              display: flex;
              flex-direction: column;
              align-items: flex-start;
              cursor: pointer;
            }
          }
        }

        @media (min-width: 850px) {
          .plan__card_container {
            display: grid;
            gap: 20px;
            grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
            padding-bottom: 35px;
          }
        }

        #select-plan-error {
          color: var(--Strawberry-red);
          font-weight: 700;
          text-align: center;
          height: 20px;
          margin-bottom: 5px;
        }

        .toggle__container {
          border-radius: 5px;
          display: flex;
          align-items: center;
          justify-content: center;
          height: 5rem;
          background-color: var(--Magnolia);
          font-weight: 700;
          margin-bottom: 1rem;

          p {
            color: var(--Marine-blue);
            font-weight: 500;
          }

          .monthly__plan {
            opacity: 0.5;
          }

          .toggle {
            width: 40px;
            height: 20px;
            border-radius: 15px;
            margin: 5px 0;
            background-color: var(--Marine-blue);
            display: flex;
            align-items: center;
            margin: 0 12px;
            transition: 0.25s;
            cursor: pointer;

            .toggle__circle {
              width: 1.5rem;
              height: 1.5rem;
              border-radius: 50%;
              margin: 0 2px;
              background-color: var(--White);
            }
          }

          .active {
            justify-content: flex-end;
          }

          .yearly__plan {
            opacity: 0.5;
          }

          .selected__plan {
            opacity: 1;
          }
        }

        .addson__card_container {
          .addon__card {
            display: flex;
            align-items: center;
            margin-bottom: 2rem;

            .checkbox[type="checkbox"] {
              margin-right: 2rem;
              appearance: none;
              background-color: none;
              font: inherit;
              color: none;
              width: 1.2em;
              height: 1.2em;
              border: 0.15em solid var(--Light-gray);
              cursor: pointer;
              border-radius: 0.2em;
              transform: translateY(-0.075em);
              display: grid;
              place-content: center;
            }

            .checkbox[type="checkbox"]:checked {
              border-color: var(--Purplish-blue);
              background-color: var(--Purplish-blue);
            }

            .card__text {
              margin-right: auto;

              .card__name {
                color: var(--Marine-blue);
                font-weight: 700;
                text-transform: capitalize;
                font-size: 1.8rem;
                margin-bottom: 2px;
              }

              .card__description {
                color: var(--Cool-gray);
                font-weight: 500;
              }
            }

            .card__price {
              color: var(--Cool-gray);
              font-weight: 500;
            }
          }

          .card {
            border: 2px solid var(--Light-gray);
            border-radius: 10px;
            padding: 15px;
            cursor: pointer;
            transition: 0.3s;
          }

          .selected {
            background-color: var(--Magnolia);
            border-color: var(--Pastel-blue);
          }
        }

        .finishingup__card_container {
          background-color: var(--Magnolia);
          border: none;
          padding: 10px 20px;
          cursor: auto;

          .selected__plan_container {
            padding-top: 10px;
            padding-bottom: 20px;

            #selected-plan {
              display: flex;
              align-items: center;
              color: var(--Marine-blue);
              font-size: 2.2rem;
              font-weight: 700;
              padding-bottom: 5px;
            }

            .change__plan {
              border: none;
              background-color: transparent;
              font-size: 1.9rem;
              color: var(--Cool-gray);
              text-decoration: underline;
              cursor: pointer;
              transition: 0.25s;
            }
          }

          #selected-addon > li:nth-child(1) {
            border-top: 1px solid var(--Cool-gray);
            padding-top: 2.5rem;
          }

          #selected-addon > li {
            display: flex;
            align-self: center;
            justify-content: space-between;
            padding-bottom: 2rem;
            font-size: 1.9rem;
            font-weight: 500;
          }

          li {
            list-style: none;
          }

          #selected-addon > li > p:nth-child(1) {
            color: var(--Cool-gray);
          }
        }

        #total {
          display: flex;
          align-items: center;
          justify-content: space-between;
          padding: 20px 20px;

          span:nth-child(1) {
            color: var(--Cool-gray);
            font-size: 1.9rem;
          }

          span:nth-child(2) {
            color: var(--Purplish-blue);
            font-size: 2.5rem;
            font-weight: 700;
          }
        }

        .card {
          border: 2px solid var(--Light-gray);
          border-radius: 10px;
          padding: 15px;
          cursor: pointer;
          transition: 0.3s;
        }

        .final__img {
          width: 10rem;
          height: 10rem;
          margin-top: 20%;
          margin-inline: auto;
          margin-bottom: 3.5rem;

          img {
            width: 100%;
          }
        }
      }

      @media (max-width: 768px) {
        .step {
          width: 95%;
          background-color: var(--White);
          margin-top: -70px;
          border-radius: 10px;
          padding: 20px 15px;
        }
      }

      .last__step {
        min-height: 100%;
        text-align: center;

        .description {
          max-width: 500px;
          margin: 0 auto;
        }
      }

      .active {
        display: inline-block;
      }

      .button__container {
        display: flex;
        justify-content: space-between;
        align-items: center;

        .button {
          border: none;
          outline: none;
          cursor: pointer;
          font-weight: 500;
          padding: 10px 15px;
          border-radius: 5px;
        }

        .prev__button {
          color: var(--Cool-gray);
          background-color: var(--White);
          padding: 0;
        }

        .next__button {
          color: var(--Light-gray);
          background-color: var(--Marine-blue);
        }
      }

      @media (max-width: 768px) {
        .button__container {
          position: absolute;
          bottom: 0px;
          right: 0;
          background-color: var(--White);
          width: 100%;
          padding: 15px 10px;
        }
      }

      .hidden {
        opacity: 0;
        cursor: auto;
      }
    }

    @media (max-width: 768px) {
      .steps__container {
        padding: 0;
        align-items: center;
      }
    }
  }

  @media (min-width: 920px) {
    .step__container {
      gap: 10rem;
    }
  }

  @media (max-width: 768px) {
    .step__container {
      min-height: 100%;
      display: flex;
      flex-direction: column;
      gap: 0;
      padding: 0;
      padding-bottom: 9rem;
      background-color: var(--Magnolia);
    }

    .sidebar {
      border-radius: 0;
      background-image: url(./assets/images/bg-sidebar-mobile.svg);
      display: flex;
      align-items: flex-start;
      justify-content: center;
      height: 19rem;
    }

    .step__indecater {
      padding: 0;
    }

    .indecater__text {
      display: none;
    }
  }
}
